## ros-humble-clearpath-generator-gz 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(clearpath_generator_gz)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(PROGRAMS
  ${PROJECT_NAME}/launch/generate_launch
  ${PROJECT_NAME}/param/generate_param
  DESTINATION lib/${PROJECT_NAME}
)

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # comment the line when a copyright and license is added to all source files
  set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # comment the line when this package is in a git repo and when
  # a copyright and license is added to all source files
  set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-clearpath-generator-gz (0.1.1-1jammy) jammy; urgency=high

  * Linting
  * Added additional supported IMUs and GPSs
  * Fix imu and gps bridge topic remapping
  * Remove static tf nodes, no longer necessary
  * Update topic names to match other packages
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-gz (0.1.0-1jammy) jammy; urgency=high

  * Renamed UST10 to UST
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.3-1jammy) jammy; urgency=high

  * Linting
  * Added prefix launch arg for A200
  * Updated param generator 'use_sim_time' implementation
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.2-1jammy) jammy; urgency=high

  * Updated imports and getters
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.1-1jammy) jammy; urgency=high

  * Changed colour to color
  * Added dependencies.repos
    Updated topic names to match API
  * Support for empty namespace
    Generate tf and cmd_vel bridges
  * Namespacing support
  * Renamed clearpath_simulator to clearpath_gz
    clearpath_simulator is now a metapackage
    Added clearpath_generator_gz
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-generator-gz
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-generator-gz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-config, ros-humble-clearpath-generator-common, ros-humble-ros-workspace
Description: Clearpath Gazebo Generator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-generator-gz//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-generator-gz 0.3.0

=== debian/changelog ===
ros-humble-clearpath-generator-gz (0.3.0-1bookworm) bookworm; urgency=high

  * Removed prefix_launch_arg no longer used
  * Add ridgeback
  * Fixed change log order
  * Added manipulators to generator and spawn
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.6-1bookworm) bookworm; urgency=high

  * Add gz image transport for cameras
  * IMU data raw remap
  * Generate gazebo bridge config parameters
  * Removed bridging using remappings and arguments
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.5-1bookworm) bookworm; urgency=high

  * Added Zed to simulator
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Apr 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.3-1bookworm) bookworm; urgency=high

  * Removed print
  * Removed namespaced tf_static
  * 0.2.2
  * Changes.
  * 0.2.1
  * Changes.
  * Added all dingo to generator
  * 0.2.0
  * Changes.
  * Added Warthog and Dingo to generator
  * Added Generic robot components
  * Sensor static tf should use robot namespace
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.1-1bookworm) bookworm; urgency=high

  * Added all dingo to generator
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 10 Dec 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.2.0-1bookworm) bookworm; urgency=high

  * Added Warthog and Dingo to generator
  * Added Generic robot components
  * Sensor static tf should use robot namespace
  * Contributors: Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 07 Dec 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.1.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.1.2-1bookworm) bookworm; urgency=high

  * Initial addition of Blackfly (#19 <https://github.com/clearpathrobotics/clearpath_simulator/issues/19>)
    * Initial addition of Blackfly
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 03 Oct 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.1.1-1bookworm) bookworm; urgency=high

  * Linting
  * Added additional supported IMUs and GPSs
  * Fix imu and gps bridge topic remapping
  * Remove static tf nodes, no longer necessary
  * Update topic names to match other packages
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.1.0-1bookworm) bookworm; urgency=high

  * Renamed UST10 to UST
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.3-1bookworm) bookworm; urgency=high

  * Linting
  * Added prefix launch arg for A200
  * Updated param generator 'use_sim_time' implementation
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.2-1bookworm) bookworm; urgency=high

  * Updated imports and getters
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-clearpath-generator-gz (0.0.1-1bookworm) bookworm; urgency=high

  * Changed colour to color
  * Added dependencies.repos
    Updated topic names to match API
  * Support for empty namespace
    Generate tf and cmd_vel bridges
  * Namespacing support
  * Renamed clearpath_simulator to clearpath_gz
    clearpath_simulator is now a metapackage
    Added clearpath_generator_gz
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-generator-gz//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-generator-gz//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-generator-gz//opt/ros/humble/opt/clearpath_generator_gz/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
